summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author tjohann2013-01-05 21:46:44 +0100
committer dsomero2013-01-10 00:52:22 +0100
commitfc4b2788286ad4eec15f0067e14742cd0a9c346a (patch)
treeceeb3ec4d994168322333e84b54a515450376bae
parent5fd657a3af7bd78f3573e05a5da82db71144f7db (diff)
downloadslackbuilds-fc4b2788286ad4eec15f0067e14742cd0a9c346a.tar.gz
libraries/libunwind: Added (determine the call-chain).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--libraries/libunwind/README9
-rw-r--r--libraries/libunwind/libunwind.SlackBuild104
-rw-r--r--libraries/libunwind/libunwind.info10
-rw-r--r--libraries/libunwind/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/libraries/libunwind/README b/libraries/libunwind/README
new file mode 100644
index 0000000000..c650d3ee47
--- /dev/null
+++ b/libraries/libunwind/README
@@ -0,0 +1,9 @@
+Libunwind is a portable and efficient C programming interface
+to determine the call-chain of a program.
+
+The API is useful in a number of applications:
+
+* debuggers
+* introspection
+* efficient setjmp()
+* ...
diff --git a/libraries/libunwind/libunwind.SlackBuild b/libraries/libunwind/libunwind.SlackBuild
new file mode 100644
index 0000000000..dbedbe8e9d
--- /dev/null
+++ b/libraries/libunwind/libunwind.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for libunwind
+
+# Copyright 2013 tjohann <thorsten.johannvorderbrueggen@t-online.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libunwind
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README TODO"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+# make pdf # doesn't work
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libunwind/libunwind.info b/libraries/libunwind/libunwind.info
new file mode 100644
index 0000000000..4f4c7c124b
--- /dev/null
+++ b/libraries/libunwind/libunwind.info
@@ -0,0 +1,10 @@
+PRGNAM="libunwind"
+VERSION="1.1"
+HOMEPAGE="http://www.nongnu.org/libunwind/"
+DOWNLOAD="http://download.savannah.nongnu.org/releases/libunwind/libunwind-1.1.tar.gz"
+MD5SUM="fb4ea2f6fbbe45bf032cd36e586883ce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="tjohann"
+EMAIL="thorsten.johannvorderbrueggen@t-online.de"
diff --git a/libraries/libunwind/slack-desc b/libraries/libunwind/slack-desc
new file mode 100644
index 0000000000..3fe00993a0
--- /dev/null
+++ b/libraries/libunwind/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libunwind: libunwind (C programming interface to determine the call-chain)
+libunwind:
+libunwind: It is a portable and efficient C programming interface
+libunwind: to determine the call-chain of a program.
+libunwind: The API is useful in a number of applications:
+libunwind: * debuggers
+libunwind: * introspection
+libunwind: * efficient setjmp()
+libunwind: * ...
+libunwind:
+libunwind: Homepage: http://www.nongnu.org/libunwind